## org.apache.commons.configuration
Class ConfigurationConverter

    java.lang.Object
      org.apache.commons.configuration.ConfigurationConverter

    public final class ConfigurationConverter

extends Object

Configuration converter. Helper class to convert between Configuration, ExtendedProperties and standard Properties.

Version:
  $Id: ConfigurationConverter.java 1208788 2011-11-30 21:15:37Z oheger $
Author:
  Martin Poeschl

Method Summary
`static Configuration` `getConfiguration(org.apache.commons.collections.ExtendedProperties eprops)` Convert a ExtendedProperties class into a Configuration class.
`static Configuration` `getConfiguration(Properties props)` Convert a standard Properties class into a configuration class.
`static org.apache.commons.collections.ExtendedProperties` `getExtendedProperties(Configuration config)` Convert a Configuration class into a ExtendedProperties class.
`static Map<Object,Object>` `getMap(Configuration config)` Convert a Configuration class into a Map class.
`static Properties` `getProperties(Configuration config)` Convert a Configuration class into a Properties class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getConfiguration

    public static Configuration getConfiguration(org.apache.commons.collections.ExtendedProperties eprops)

  Convert a ExtendedProperties class into a Configuration class.

  Parameters:
    `eprops` - ExtendedProperties object to convert
  Returns:
    Configuration created from the ExtendedProperties

### getConfiguration

    public static Configuration getConfiguration(Properties props)

  Convert a standard Properties class into a configuration class.

  Parameters:
    `props` - properties object to convert
  Returns:
    Configuration configuration created from the Properties

### getExtendedProperties

    public static org.apache.commons.collections.ExtendedProperties getExtendedProperties(Configuration config)

  Convert a Configuration class into a ExtendedProperties class.

  Parameters:
    `config` - Configuration object to convert
  Returns:
    ExtendedProperties created from the Configuration

### getProperties

    public static Properties getProperties(Configuration config)

  Convert a Configuration class into a Properties class. List properties are joined into a string using the delimiter of the configuration if it extends AbstractConfiguration, and a comma otherwise.

  Parameters:
    `config` - Configuration object to convert
  Returns:
    Properties created from the Configuration

### getMap

    public static Map<Object,Object> getMap(Configuration config)

  Convert a Configuration class into a Map class.

  Parameters:
    `config` - Configuration object to convert
  Returns:
    Map created from the Configuration

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.